lib/rvm/shell/shell_wrapper.sh in rvm-1.6.16 vs lib/rvm/shell/shell_wrapper.sh in rvm-1.6.19
- old
+ new
@@ -1,13 +1,9 @@
# Prints an epilog to a shell command.
__rvm_show_command_epilog() {
- local last_command_result="$?"
+ local _code="$?"
echo "---------------RVM-RESULTS-START---------------"
- echo "---"
- echo " exit_status: \"$last_command_result\""
- echo " environment:"
- \env | \sed \
- -e "s#'#\\'#g" \
- -e 's#"#\\"#g' \
- -e "s#\\([^=]*\\)=\\(.*\\)# '\1': \"\2\"#"
+ ruby -rrubygems -ryaml -e \
+ "puts YAML.dump({'environment' => ENV.to_hash, 'exit_status' => '${_code}'})"
echo "----------------RVM-RESULTS-END----------------"
}
+